WordPress 5.1.1 er klar - 9bureau.dk

WordPress 5.1.1 er klar

WordPress 5.1.1 er blevet udgivet fra wordpress.org

Version 5.1.1 er en sikkerheds- og vedligeholdelsesopdatering.

Den indeholder 10 rettelser og forbedringer, der blandt andet er designet til at hjælpe hosting virksomheder med at forberede brugere til den nye minimum PHP version, der følger med i WordPress 5.2.

Version 5.1.1 indeholder også sikkerhedsopdateringer, der håndterer, hvordan kommentarer filtreres og derefter gemmes i databasen.

I tidligere versioner kunne en kommentar udformes, så den gjorde WordPress-indlæg sårbare over for scripts med såkaldt ‘malicious code’.

WordPress versioner 5.1 og tidligere versioner påvirkes også af disse fejl, som er rettet i version 5.1.1.

Opdaterede versioner af WordPress 5.0 og tidligere er også tilgængelige for alle brugere, der endnu ikke har opdateret til 5.1.

Simon Scannell fra RIPS Technologies opdagede denne fejl sideløbende med WordPress core team.

Denne udgave af WordPress omfatter desuden:

  • Hosting virksomheder kan nu tilbyde deres kunder at opdatere PHP ved hjælp af et klik på en knap.
  • Den anbefalede PHP-version, der bruges ved opdatering af PHP, kan nu filtreres.

Den fulde liste over ændringer kan ses på Trac.